# eric3.Scripting.LoadScriptDialog

Module implementing a dialog for loading a script.

### Classes

LoadScriptDialog | Class implementing a dialog for loading a script.

### Functions

None

## LoadScriptDialog

Class implementing a dialog for loading a script.

### Derived from

LoadScriptForm

### Methods

LoadScriptDialog | Constructor
getData | Public method to retrieve the data entered into the dialog.
handleFileSelection | Private slot to handle the script file selection.

### LoadScriptDialog (Constructor)

LoadScriptDialog(parent = None, name = None, modal = 0, fl = 0)

Constructor

parent
  -- parent of this dialog (QWidget)
name
  -- name of this dialog (string or QString)
modal
  -- flag indicating a modal window (boolean)
fl
  -- window flags

### LoadScriptDialog.getData

getData()

Public method to retrieve the data entered into the dialog.

Returns:
  tuple with the collected data (script name, script file, execute flag, delete flag) (string, string, boolean, boolean)

### LoadScriptDialog.handleFileSelection

handleFileSelection()

Private slot to handle the script file selection.

Up